logo
WorkspacesUpdate workspace
Workspaces

Update workspace

Update workspace name and/or settings. Only owners and admins can perform this action.

Workspace keys can only update their own workspace.

curl -X PATCH "https://api.sendkit.ai/v1/workspaces/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "Renamed Sales Team",
  "settings": {
    "allowMemberInvites": true,
    "defaultRole": "member"
  }
}'
{
  "success": true,
  "data": {
    "id": "665a1b2c3d4e5f6a7b8c9d0e",
    "name": "Renamed Sales Team",
    "settings": {
      "allowMemberInvites": true,
      "defaultRole": "member"
    }
  }
}
PATCH
/v1/workspaces/{id}
PATCH
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Bearer Token
Bearer Tokenstring
Required

API key as Bearer token

API key as Bearer token
Content-Typestring
Required

The media type of the request body

Options: application/json
namestring

New workspace name

settingsobject

Settings to merge into existing workspace settings

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

header
Authorizationstring
Required

Bearer token. API key as Bearer token

Path Parameters

idstring
Required

Resource ID

Body

application/json
namestring

New workspace name

settingsobject

Settings to merge into existing workspace settings

Responses

successboolean
dataobject